Create an automated Homebeat that sends market updates to leads at specified frequency (monthly, quarterly, etc). Can email leads directly or use webhook for custom delivery.
POST
/homebeats/widget
curl \
--request POST 'https://cloudcma.com/homebeats/widget?api_key=api_token_value' \
--header "Content-Type: application/json" \
--data '{
"automation": {
"api_key": "string",
"frequency": "monthly",
"welcome_email": true,
"report": {
"prop_type": "string",
"callback_url": "https://example.com"
},
"subject_property": {
"address": "string",
"geo_lat": 42.0,
"geo_lon": 42.0,
"sqft": "string",
"beds": "string",
"baths": "string",
"garages": "string",
"lot_size": "string",
"taxes": "string"
},
"lead": {
"name": "string",
"email_address": "hello@example.com",
"phone": "string"
}
}
}'
Request examples
{
"automation": {
"api_key": "string",
"frequency": "monthly",
"welcome_email": true,
"report": {
"prop_type": "string",
"callback_url": "https://example.com"
},
"subject_property": {
"address": "string",
"geo_lat": 42.0,
"geo_lon": 42.0,
"sqft": "string",
"beds": "string",
"baths": "string",
"garages": "string",
"lot_size": "string",
"taxes": "string"
},
"lead": {
"name": "string",
"email_address": "hello@example.com",
"phone": "string"
}
}
}
Response examples (201)
{
"id": 42,
"status": "created",
"error": "string",
"first_report_sent": true
}